# \Thelia\Core\Template\SmartySmartyPluginDescriptor

Class allowing to describe a smarty plugin

Class SmartyPluginDescriptor

## Summary

Methods
Properties
Constants
__construct()
setType()
getType()
setName()
getName()
setClass()
getClass()
setMethod()
getMethod()
No public properties found
No constants found
No protected methods found
$type
$name
$class
$method
N/A
No private methods found
No private properties found
N/A

File
  Core/Template/Smarty/SmartyPluginDescriptor.php
Package
  \Thelia\Core\Template\Smarty
Class hierarchy
  \Thelia\Core\Template\Smarty\SmartyPluginDescriptor

## Tags

None found

## Properties

### $type

    $type : string

#### Type

string — Smarty plugin type (block, function, etc.)

#

## Tags

None found

### $name

    $name : string

#### Type

string — Smarty plugin name. This name will be used in Smarty templates.

#

## Tags

None found

### $class

    $class : \Thelia\Core\Template\Smarty\AbstractSmartyPlugin

#### Type

\Thelia\Core\Template\Smarty\AbstractSmartyPlugin — plugin implmentation class

#

## Tags

None found

### $method

    $method : string

#### Type

string — plugin implmentation method in $class

#

## Tags

None found

## Methods

### __construct()

    __construct( $type,  $name,  $class,  $method)

#### Parameters

| $type |
| $name |
| $class |
| $method |

#

## Tags

None found

### setType()

    setType( $type)

#### Parameters

| $type |

#

## Tags

None found

### getType()

    getType()

#

## Tags

None found

### setName()

    setName( $name)

#### Parameters

| $name |

#

## Tags

None found

### getName()

    getName()

#

## Tags

None found

### setClass()

    setClass( $class)

#### Parameters

| $class |

#

## Tags

None found

### getClass()

    getClass()

#

## Tags

None found

### setMethod()

    setMethod( $method)

#### Parameters

| $method |

#

## Tags

None found

### getMethod()

    getMethod()

#

## Tags

None found

### SmartyPluginDescriptor.php